-- ModMapFruitRegister
-- @author  Hewaaa @ www.ls2011.org
-- @date  06.10.2011

MMFR = {};

function MMFR.prerequisitesPresent(specializations)
--	print("specialization ModMapFruitregister by Hewaaa");
	Fillable.registerFillType("kies");
	Fillable.registerFillType("hafer");
	Fillable.registerFillType("deuka");
	Fillable.registerFillType("sand");
	Fillable.registerFillType("gravel");
	Fillable.registerFillType("potato");
	Fillable.registerFillType("sugarbeet");
	Fillable.registerFillType("betterave");
	Fillable.registerFillType("carrot");
	Fillable.registerFillType("gelbbo");
	Fillable.registerFillType("greenwheat");
	Fillable.registerFillType("gruenbo");
	Fillable.registerFillType("nad");
	Fillable.registerFillType("oat");
	Fillable.registerFillType("pea");
	Fillable.registerFillType("soybean");
	Fillable.registerFillType("spinat");
	Fillable.registerFillType("sunflower");
	Fillable.registerFillType("roggen");
	Fillable.registerFillType("owies");
	Fillable.registerFillType("seeds");
	Fillable.registerFillType("fertilizer");
	Fillable.registerFillType("silage");
	Fillable.registerFillType("karotte");
	Fillable.registerFillType("triticale");
	Fillable.registerFillType("maize2");
	Fillable.registerFillType("maizev2");
	Fillable.registerFillType("beet");
	Fillable.registerFillType("mohn");
	Fillable.registerFillType("rye");
	Fillable.registerFillType("cotton");
	Fillable.registerFillType("sugarcane");
	Fillable.registerFillType("silo");
	return true;
end;

function MMFR:load(xmlFile)
end;

function MMFR:delete()
end;

function MMFR:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MMFR:keyEvent(unicode, sym, modifier, isDown)
end;

function MMFR:update(dt)
end;

function MMFR:draw()
end;